var arrInputText = new Array(0);
var arrInputCheckbox=new Array(0);
var arrInputTextValue = new Array(0);
var arrInputCheckboxValue = new Array(0);
var formId="";
var prefixInput="";
var suffixInput="";
  
function InitializeAnswerSet(Id, prefix, suffix)
{
  formId=Id;
  prefixInput=prefix;
  suffixInput=suffix;
}

function addAnswer(textValue,checkboxValue) 
{
  arrInputText.push(arrInputText.length);
  arrInputCheckbox.push(arrInputCheckbox.length);
  arrInputTextValue.push(textValue);
  arrInputCheckboxValue.push(checkboxValue);
  display();
}

function display() 
{
  document.getElementById(formId).innerHTML=prefixInput;
  for (var intI=0;intI<arrInputText.length;intI++) {
    document.getElementById(formId).innerHTML+=createInput(arrInputText[intI], arrInputTextValue[intI], arrInputCheckbox[intI], arrInputCheckboxValue[intI]);
  }
  document.getElementById(formId).innerHTML+=suffixInput;
}

function saveTextValue(intId,strValue) 
{
  arrInputTextValue[intId]=strValue;
} 
 
function saveCheckboxValue(intId,strValue) 
{
  arrInputCheckboxValue[intId]=strValue;
}  

function createInput(textId,textValue,checkboxId,checkboxValue) 
{
  var s="";
  if (checkboxValue)
  {
    s=" checked=\"checked\"";
  }
  return "Odpoveď: <input type=\"text\" name=\"answer"+ textId +"\" onChange=\"javascript: saveTextValue("+ textId +",this.value);\" value=\""+ textValue +"\" /> Pravdivosť: <input type=\"checkbox\" name=\"correct"+ checkboxId +"\" onChange=\"javascript: saveCheckboxValue("+ checkboxId +",this.checked);\""+ s +" /><a href=\"javascript: deleteAnswer("+textId+");\">Odstrániť</a><br />";
}

function deleteAnswer(id) 
{
  if ((id < arrInputText.length) && (id >= 0)) 
  { 
    arrInputTextValue.splice(id,1);
    arrInputCheckboxValue.splice(id,1);
    arrInputText.pop(); 
    arrInputCheckbox.pop(); 
  }
  display(); 
}

///////////////////////////////////////////////////////////////////////////////////////////

function Ask(question, href)
{
  if (confirm(question))
  {
    document.location=href;
  }
}
